• Home
  • Raw
  • Download

Lines Matching +full:- +full:- +full:exit +full:- +full:code

10 #      Given a bitcode file that produces correct output (or return code), 
14 # different result code. When the passes have been narrowed down,
32 # if specified to any value causes the result code of the program to
34 # determined by diffing the program's output with the non-optimized
37 if [ "$#" -lt 3 ] ; then
39 exit 1
43 if [ -x "$dir/Release/bin/bugpoint" ] ; then
45 elif [ -x "$dir/Debug/bin/bugpoint" ] ; then
49 exit 1
56 if [ ! -f "$input" ] ; then
70 ldflags="-lstdc++ -lm -ldl -lc"
77 # optimizations that opt -O3 runs, in the same order.
78 opt_switches=`llvm-as < /dev/null -o - | opt -O3 -disable-output -debug-pass=Arguments 2>&1 | sed '…
83 if [ -f "$outdir" ] ; then
85 exit 1
88 if [ ! -d "$outdir" ] ; then
89 mkdir "$outdir" || exit 1
93 llvm-dis "$bcfile" -o "$ll" -f || exit 1
95 # Generate the non-optimized program and its output
96 llc "$bcfile" -o "$s" -f || exit 1
97 gcc "$s" -o "$prog" $ldflags || exit 1
104 opt $switches_to_use "$bcfile" -o "$optbc" -f || exit
105 llvm-dis "$optbc" -o "$optll" -f || exit
106 llc "$optbc" -o "$opts" -f || exit
107 gcc "$opts" -o "$optprog" $ldflags || exit
111 if [ -n "$match" ] ; then
112 if [ "$ex1" -ne "$ex2" ] ; then
113 echo "Return code not the same with these switches:"
121 if [ $? -ne 0 ] ; then
134 echo -n " $sw"
147 exit 0
151 while [ ! -z "$switches" ] ; do
152 trimmed=`echo "$switches" | sed -e 's/^ *\(-[^ ]*\).*/\1/'`
153 switches=`echo "$switches" | sed -e 's/^ *-[^ ]* *//'`
156 if [ "$?" -eq "0" ] ; then
169 exit 0
173 bpcmd="$bugpoint -run-llc -disable-loop-extraction --output "$out" --input /dev/null $bcfile $final…